> For the complete documentation index, see [llms.txt](https://developers.klasha.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.klasha.com/misc/transaction-status.md).

# Transaction Status

Before giving value for any charge, it's advised to use the transaction status api below to verify the final status of the charge, using the transaction reference supplied during the charge initiation.

When verifying a transaction, the following should be checked:

* Confirm both the value of the payment and the destination currency are correct.
* Confirm the status of the transaction is successful.

### Check transaction status

> <mark style="color:yellow;">**`POST`**</mark> - <mark style="color:$primary;">{{env\_url}}/nucleus/tnx/merchant/status</mark>

#### Request Body

| Name                                     | Type   | Description           |
| ---------------------------------------- | ------ | --------------------- |
| tnxRef<mark style="color:red;">\*</mark> | String | Transaction reference |

```
{
    "tnxRef": "6e003f69-55e3-4117-aa7a-f4259ad227ae"
}
```

#### Response Body

{% tabs %}
{% tab title="200: OK " %}

```jsonl
{
    "txRef": "6e003f69-55e3-4117-aa7a-f4259ad227ae",
    "destinationCurrency": "NGN",
    "sourceAmount": 2500.000000,
    "sourceCurrency": "NGN",
    "status": "successful",
    "destinationAmount": 2500.000000,
    "customer": {
        "id": 6132,
        "name": Demo Tester,
        "email": "test@klasha.com",
        "phone": "09012332122",
        "createdAt": "2022-01-24 13:25:31",
        "updatedAt": "2022-01-24 13:25:31"
    }
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
   "error": "Transaction not found."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.klasha.com/misc/transaction-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
